geos::io::OrdinateSet Class Reference

Utility class to manipulate a set of flags indicating whether X, Y, Z, or M dimensions are present. Based on JTS EnumSet<Ordinate>. More...

`#include <OrdinateSet.h>`

## Public Member Functions

void | setZ (bool value)
void | setM (bool value)
bool | hasZ () const
bool | hasM () const
int | size () const
bool | changesAllowed () const
void | setChangesAllowed (bool allowed)
bool | operator== (const OrdinateSet &other) const
bool | operator!= (const OrdinateSet &other) const

## Static Public Member Functions

static OrdinateSet | createXY ()
static OrdinateSet | createXYZ ()
static OrdinateSet | createXYM ()
static OrdinateSet | createXYZM ()

## Detailed Description

Utility class to manipulate a set of flags indicating whether X, Y, Z, or M dimensions are present. Based on JTS EnumSet<Ordinate>.

The documentation for this class was generated from the following file:

- OrdinateSet.h